Show / Hide Table of Contents

# Class CertificateSelectionEventArgs

An argument passed on to user for client certificate selection during mutual SSL authentication.

##### Inheritance

Object
EventArgs
CertificateSelectionEventArgs

##### Inherited Members

EventArgs.Empty
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class CertificateSelectionEventArgs : EventArgs

### Properties

#### AcceptableIssuers

Acceptable issuers as listed by remoted server.

##### Declaration

    public string[] AcceptableIssuers { get; }

##### Property Value

Type | Description
--- | ---
String[] |

#### ClientCertificate

Client Certificate we selected. Set this value to override.

##### Declaration

    public X509Certificate ClientCertificate { get; set; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

#### LocalCertificates

Local certificates in store with matching issuers requested by TargetHost website.

##### Declaration

    public X509CertificateCollection LocalCertificates { get; }

##### Property Value

Type | Description
--- | ---
X509CertificateCollection |

#### RemoteCertificate

Certificate of the remote server.

##### Declaration

    public X509Certificate RemoteCertificate { get; }

##### Property Value

Type | Description
--- | ---
X509Certificate |

#### Sender

The proxy server instance.

##### Declaration

    public object Sender { get; }

##### Property Value

Type | Description
--- | ---
Object |

#### TargetHost

The remote hostname to which we are authenticating against.

##### Declaration

    public string TargetHost { get; }

##### Property Value

Type | Description
--- | ---
String |